odoo.define('tht_project.expected_process', function (require) {
    "use strict";
    const AbstractAction = require('web.AbstractAction');
    const core = require('web.core');
    const QWeb = core.qweb;
    const session = require('web.session');
    const Dialog = require("web.Dialog");

    const ExpectedProcessTemplate = AbstractAction.extend({
        template: 'ExpectedProcessTemplate',

        start: async function () {
            await this._super(...arguments);

            let self = this;

            window.addEventListener("message", function (event) {
                
            });
        },
    });
    core.action_registry.add('tht_project.expected_process', ExpectedProcessTemplate);

    return ExpectedProcessTemplate;
});
